> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attention.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch SCIM Group

> Partially updates a group using SCIM patch semantics.



## OpenAPI

````yaml /api-reference/openapi.json patch /scim/Groups/{id}
openapi: 3.0.1
info:
  title: Attention Service V2
  description: Attention Service API V2
  termsOfService: https://www.attention.com/terms-of-use
  contact:
    name: Attention Team
    url: https://docs.attention.com/welcome
    email: support@attention.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.8.0
servers:
  - url: https://api.attention.tech/v2
security:
  - APIKeyHeader: []
paths:
  /scim/Groups/{id}:
    patch:
      tags:
        - Scim
        - Group
      summary: Patch SCIM Group
      description: Partially updates a group using SCIM patch semantics.
      operationId: patchScimGroup
      parameters:
        - name: id
          in: path
          description: SCIM ID of the group
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchScimGroupRequest'
          application/scim+json:
            schema:
              $ref: '#/components/schemas/PatchScimGroupRequest'
        required: true
      responses:
        '200':
          description: Group patched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimGroup'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/ScimGroup'
        '400':
          description: Invalid SCIM patch request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
        '401':
          description: Valid API key required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
        '404':
          description: Group not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
        '500':
          description: Unexpected server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
components:
  schemas:
    PatchScimGroupRequest:
      required:
        - Operations
        - schemas
      type: object
      properties:
        schemas:
          type: array
          example:
            - urn:ietf:params:scim:api:messages:2.0:PatchOp
          items:
            type: string
        Operations:
          type: array
          items:
            required:
              - op
            type: object
            properties:
              op:
                type: string
                example: add
                enum:
                  - add
                  - remove
                  - replace
              path:
                type: string
                example: members
      example:
        schemas:
          - urn:ietf:params:scim:api:messages:2.0:PatchOp
        Operations:
          - op: add
            path: members
            value:
              - value: 5b3680ed-0bed-4c98-af91-e75c3f384b15
                display: john.doe@example.com
    ScimGroup:
      required:
        - id
      type: object
      properties:
        schemas:
          type: array
          example:
            - urn:ietf:params:scim:schemas:core:2.0:Group
            - urn:okta:custom:group:1.0
          items:
            type: string
        displayName:
          type: string
          example: firstGroup
        id:
          type: string
          example: '1001'
        members:
          type: array
          example:
            - value: '101'
              display: okta
          items:
            $ref: '#/components/schemas/ScimGroupMember'
        urn:okta:custom:group:1.0:
          type: object
          properties:
            description:
              type: string
              example: This is the first group
      example:
        schemas:
          - urn:ietf:params:scim:schemas:core:2.0:Group
        id: group-uuid-123
        displayName: Sales Team
        members:
          - value: user-uuid-1
            display: jane@example.com
    Base_Scim_Error:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
        detail:
          type: string
          description: A description of the error
        status:
          type: integer
          description: The HTTP status code for the error
      example:
        schemas:
          - urn:ietf:params:scim:api:messages:2.0:Error
        detail: The details of the error
        status: 409
    Base_401_Error:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BaseError'
      example:
        code: 401
        message: unauthenticated for Invalid API key
    ScimGroupMember:
      required:
        - display
        - value
      type: object
      properties:
        value:
          type: string
          example: 724b985e-5053-4d9d-b8c5-7f2941b60c26
        display:
          type: string
          example: john.doe@example.com
      example:
        value: user-uuid-123
        display: jane@example.com
    BaseError:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      example:
        code: unauthorized
        message: Invalid or expired API key
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: Authorization
      in: header

````